curl --request POST \
--url https://api.honeycomb.io/1/maps/dependencies/requests \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"time_range": 7200,
"filters": [
{
"name": "user-service",
"type": "service"
}
]
}
'{
"request_id": "abc123",
"status": "pending"
}{
"request_id": "abc123",
"status": "pending"
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Create a Map Dependency Request
Create a Map Dependency Request.
curl --request POST \
--url https://api.honeycomb.io/1/maps/dependencies/requests \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"time_range": 7200,
"filters": [
{
"name": "user-service",
"type": "service"
}
]
}
'{
"request_id": "abc123",
"status": "pending"
}{
"request_id": "abc123",
"status": "pending"
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Query Parameters
Maximum number of dependencies to return. Default is 10000, maximum is 64000.
1 <= x <= 64000Body
Create a Map Dependency Request.
Absolute start time to evaluate dependencies, in seconds since UNIX epoch. Must be <= end_time (when time_range is not provided).
1622548800
Absolute end time to evaluate dependencies, in seconds since UNIX epoch. Must be >= start_time (when time_range is not provided).
1622635200
Time range in seconds (minimum 1). Can be used with either start_time (seconds after start_time), end_time (seconds before end_time), or without either (seconds before now).
x >= 17200
Optional list of service nodes to filter dependencies by. Only dependencies involving these nodes will be returned.
Show child attributes
Show child attributes
Response
Success - Results are ready or request has failed (see status field)